<div class="col-md-4">
    <div class="card card-profile">
        <div class="card-avatar col-md-5">
            <a>
                <img class="img responsive-img" src="{{ h.photo }}">
            </a>
        </div>
        <div class="card-body" style="text-align: center;">
            <h5 class="card-title">{{ h.name }}</h5>
        </div>
        <div class="card-body" style="text-align: left">
            <div class="card-body">
                <h5 class="card-title">Características</h5>
                <ul>
                    <li><b>Idade:</b> {{ h.age }} anos</li>
                    <li><b>Sexo:</b> {{ h.gender }}</li>
                    <li><b>Olhos:</b> {{ h.eyes }}</li>
                    <li><b>Cabelo:</b> {{ h.hair }}</li>
                </ul>
            </div>
            <div class="card-body">
                <h5 class="card-title">Local</h5>
                <div id="map-{{ h._id }}" style='width: 100%; height: 200px'></div>
            </div>
        </div>
        <script>
            document.addEventListener("DOMContentLoaded", function () {

                let geometry = '{{h.geometry}}'.split(',')

                mapboxgl.accessToken = 'pk.eyJ1IjoiZGVzYXBhcmVjaWRvc21lIiwiYSI6ImNqa3ZrYWdqcDBzMzUzcHBhdGhhdWp1YmEifQ.09Yj5rE71q2u_WGfPu3LFA'

                let map = new mapboxgl.Map({
                    container: 'map-{{h._id}}',
                    style: 'mapbox://styles/mapbox/streets-v9', // style URL
                    center: geometry,
                    zoom: 5
                });

                new mapboxgl.Marker()
                    .setLngLat(geometry)
                    .addTo(map);

            });
        </script>
    </div>
</div>
